ghostscript-9.22-1.2.mga5.i586.rpm


Advertisement

Description

ghostscript - PostScript/PDF interpreter and renderer (Main executable)

Property Value
Distribution Mageia 5.1
Repository Mageia Core Updates i586
Package name ghostscript
Package version 9.22
Package release 1.2.mga5
Package architecture i586
Package type rpm
Installed size 6.38 KB
Download size 11.33 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Ghostscript is a set of software tools that provide a PostScript(TM)
interpreter, a set of C procedures (the Ghostscript library, which
implements the graphics capabilities in the PostScript language) and
an interpreter for Portable Document Format (PDF) files. Ghostscript
translates PostScript code into many common, bitmapped and vector
formats, like those understood by your printer or screen. Ghostscript
is normally used to display PostScript files and to print PostScript
files to non-PostScript printers.
You should install ghostscript if you need to display PostScript or
PDF files, or if you have a non-PostScript printer.

Alternatives

Package Version Architecture Repository
ghostscript-9.23-1.mga5.i586.rpm 9.23 i586 Mageia Core Updates
ghostscript-9.23-1.mga5.x86_64.rpm 9.23 x86_64 Mageia Core Updates
ghostscript-9.22-1.2.mga5.x86_64.rpm 9.22 x86_64 Mageia Core Updates
ghostscript-9.22-1.1.mga5.i586.rpm 9.22 i586 Mageia Core Updates
ghostscript-9.22-1.1.mga5.x86_64.rpm 9.22 x86_64 Mageia Core Updates
ghostscript-9.22-1.mga5.i586.rpm 9.22 i586 Mageia Core Updates
ghostscript-9.22-1.mga5.x86_64.rpm 9.22 x86_64 Mageia Core Updates
ghostscript-9.20-1.1.mga5.i586.rpm 9.20 i586 Mageia Core Updates
ghostscript-9.20-1.1.mga5.x86_64.rpm 9.20 x86_64 Mageia Core Updates
ghostscript-9.20-1.mga5.i586.rpm 9.20 i586 Mageia Core Updates
ghostscript-9.20-1.mga5.x86_64.rpm 9.20 x86_64 Mageia Core Updates
ghostscript-9.14-3.2.mga5.i586.rpm 9.14 i586 Mageia Core Updates
ghostscript-9.14-3.2.mga5.x86_64.rpm 9.14 x86_64 Mageia Core Updates
ghostscript-9.14-3.1.mga5.i586.rpm 9.14 i586 Mageia Core Updates
ghostscript-9.14-3.1.mga5.x86_64.rpm 9.14 x86_64 Mageia Core Updates
ghostscript-9.14-3.mga5.i586.rpm 9.14 i586 Mageia Core
ghostscript-9.14-3.mga5.x86_64.rpm 9.14 x86_64 Mageia Core
ghostscript - - -

Requires

Name Value
ghostscript-common -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libgs.so.9 -
update-alternatives -

Provides

Name Value
ghostscript == 9.22-1.2.mga5
ghostscript(x86-32) == 9.22-1.2.mga5

Download

Type URL
Binary Package ghostscript-9.22-1.2.mga5.i586.rpm
Source Package ghostscript-9.22-1.2.mga5.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install ghostscript rpm package:
    # urpmi ghostscript

Files

Path
/usr/bin/gsc

Changelog

2018-02-24 - luigiwalser <luigiwalser> 9.22-1.2.mga5
+ Revision: 1204793
- Added upstream patch for CVE-2016-10317 (mga#22590)
- add upstream patch to fix CVE-2015-3228
+ ns80 <ns80>
- add patch from fedora to restore flushpage (mga#22183)
- new version 9.22 (mga#22052)
- add patches for CVE-2017-9611, CVE-2017-9612, CVE-2017-9726, CVE-2017-9727, CVE-2017-9739, CVE-2017-9835, CVE-2017-11714 (mga#21630)
+ neoclust <neoclust>
- New version 9.20
- Fixes:
- CVE-2016-10217
- CVE-2016-10218
- CVE-2016-10219
- CVE-2016-10220
- CVE-2017-5951
- CVE-2017-8291
- CVE-2016-9601
- CVE-2017-7207
- CVE-2016-7976
- CVE-2016-7977
- CVE-2016-7978
- CVE-2016-7979
- CVE-2016-8602
- Add P55 - Fixes cve-2017-7207 (mga#19542)
- New version - Fixes CVE-2016-797[6-9], CVE-2016-8602, CVE-2016-9601, CVE-2017-7207 CVE-2017-8291
+ akien <akien>
- Fix build with openjpeg 2.1.1 due to hidden API in static build

See Also

Package Description
ghostscript-X-9.14-3.1.mga5.i586.rpm PostScript/PDF interpreter and renderer (with X11 screen display)
ghostscript-X-9.14-3.2.mga5.i586.rpm PostScript/PDF interpreter and renderer (with X11 screen display)
ghostscript-X-9.20-1.1.mga5.i586.rpm PostScript/PDF interpreter and renderer (with X11 screen display)
ghostscript-X-9.20-1.mga5.i586.rpm PostScript/PDF interpreter and renderer (with X11 screen display)
ghostscript-X-9.22-1.1.mga5.i586.rpm PostScript/PDF interpreter and renderer (with X11 screen display)
ghostscript-X-9.22-1.2.mga5.i586.rpm PostScript/PDF interpreter and renderer (with X11 screen display)
ghostscript-X-9.22-1.mga5.i586.rpm PostScript/PDF interpreter and renderer (with X11 screen display)
ghostscript-X-9.23-1.mga5.i586.rpm PostScript/PDF interpreter and renderer (with X11 screen display)
ghostscript-common-9.14-3.1.mga5.i586.rpm PostScript/PDF interpreter and renderer (Common files)
ghostscript-common-9.14-3.2.mga5.i586.rpm PostScript/PDF interpreter and renderer (Common files)
ghostscript-common-9.20-1.1.mga5.i586.rpm PostScript/PDF interpreter and renderer (Common files)
ghostscript-common-9.20-1.mga5.i586.rpm PostScript/PDF interpreter and renderer (Common files)
ghostscript-common-9.22-1.1.mga5.i586.rpm PostScript/PDF interpreter and renderer (Common files)
ghostscript-common-9.22-1.2.mga5.i586.rpm PostScript/PDF interpreter and renderer (Common files)
ghostscript-common-9.22-1.mga5.i586.rpm PostScript/PDF interpreter and renderer (Common files)
Advertisement
Advertisement